# Planning Number Words

Before you start programming, do some planning here on how you will break down
this problem. Here's a hint: if you start by writing functions for smaller numbers, 
you will find that these functions help you with the larger numbers. For each of
the cases below, explain how you would turn a number into a string. Feel free to
write in sentences or in pseudocode (pseudocode is a sort of "casual programming"
where you're almost writing in code, being pretty specific without worrying about
syntax. For each case below, assume the integer is zero or more--don't worry about
negative integers.

## Integers under 10
(This one is done for you!)
For an integer less than ten, you need to know the name of each digit, and look it
up. You could use a big if/else statement like:

```
if number == 0:
    return "zero"
elif number == 1:
    return "one"
elif number == 1:
    return "two"
```

A cleaner way to do this would be to make a list of digit names, from zero to nine.
Then you could just look up a digit's name:

```
digit_names = [
    "zero", "one", "two", "three", "four", 
    "five", "six", "seven", "eight", "nine"
]
return digit_names[number]
```

## Integers under 20
If the integer is under 10, then use the procedure described above. 
Otherwise, ... (this is where you take over!)
make a dictionary with 100k, 10k, 1k, 100, 10, 1 places
add names to 1s, 10s place in dictionary

## Integers under 100
if number < 20:
    integers under 20
if number >= 20:
    add names to 1s, 10s places in dictionary

## Integers under 1000
if number < 100:
    integers under 100
if number >= 100:
    add names to 1s, 10s, 100s places in dictionary

## Integers under 1000000
if number < 1000:
    integers under 1000
if number >= 1000:
    add names to 1s, 10s, 100s, 1k, 10k, 100k place in dictionary

## Negative integers down to -1 million
We won't deal with negative integers in this problem set, 
but how would you deal with a negative integer, using the 
functions above?

if number < 0:
    add "negative" to dictionary (add a sign entry to the front)

